%define upstream_name    Sys-Info-Base
%define upstream_version 0.7804

%global __requires_exclude perl\\(TARGET_CLASS\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Base classes for Sys::Info
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SYS/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.400.0
BuildRequires: perl-devel
%description
Perl base classes for Sys::Info.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SPEC
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.780.400-4.mga6
+ Revision: 1033594
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.780.400-3.mga6
+ Revision: 971600
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 0.780.400-2.mga6
+ Revision: 892094
- make it noarch thus fixing empty debuginfo

* Sun Jul 05 2015 sander85 <sander85> 0.780.400-1.mga6
+ Revision: 851220
- update to 0.7804

* Wed Oct 15 2014 umeabot <umeabot> 0.780.300-4.mga5
+ Revision: 740931
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.780.300-3.mga5
+ Revision: 686285
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 0.780.300-2.mga4
+ Revision: 527307
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.780.300-1.mga4
+ Revision: 439899
- update to 0.7803

* Sun Jan 13 2013 umeabot <umeabot> 0.780.200-2.mga3
+ Revision: 372950
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 0.7802

* Tue Apr 19 2011 jquelin <jquelin> 0.780.0-1.mga1
+ Revision: 88551
- update to 0.78

* Sat Jan 22 2011 jquelin <jquelin> 0.730.0-2.mga1
+ Revision: 31201
- mageia rebuild
- imported package perl-Sys-Info-Base


* Tue Jan 19 2010 Jérôme Quelin <jquelin@mandriva.org> 0.730.0-2mdv2010.1
+ Revision: 493594
- adding some requires exceptions

* Thu Jan 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.730.0-1mdv2010.1
+ Revision: 491170
- update to 0.73

* Fri Jan 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.720.0-1mdv2010.1
+ Revision: 484721
- SILET fix it
- import perl-Sys-Info-Base


